/* initialize connection to server, get its Desktop-service and XComponentLoader interface */
xMsf=ooo.connect()   -- connect to server and retrieve remote multi server factory

-- Retrieve the Desktop object, we need its XComponentLoader interface
-- to load a new document
oDesktop         = xMsf~createInstance("com.sun.star.frame.Desktop")
xDesktop         = oDesktop~XDesktop          -- get desktop interface
xComponentLoader = xDesktop~XComponentLoader  -- get componentLoader interface

/* load an empty text document */
oSheetComponent = xComponentLoader~loadComponentFromURL("private:factory/scalc", "_blank", 0, .OOo~noProps)

xDocument   =oSheetComponent~XSpreadSheetDocument
xSheets     =xDocument~getSheets
xIndexSheets=xSheets~XIndexAccess
xSheet      =xIndexSheets~getByIndex(0)~XSpreadSheet  -- get the spreadsheet interface for the sheet

-- (1) insert a value (number)
call OOo.setCell xSheet, 1, 1, 123.456
-- (2) insert a text string (formula)
call OOo.setCell xSheet, 1, 2, "Hello"


::requires OOO.CLS   -- ooRexx support for OpenOffice.org
